function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import AppBar from '@material-ui/core/AppBar';
import ChevronLeft from '@material-ui/icons/ChevronLeft';
import IconButton from '@material-ui/core/IconButton';
import LinearProgress from '@material-ui/core/LinearProgress';
import MenuContext from 'material-ui-shell/lib/providers/Menu/Context';
import MenuIcon from '@material-ui/icons/Menu';
import React, { useContext } from 'react';
import Toolbar from '@material-ui/core/Toolbar';
import Typography from '@material-ui/core/Typography';
import clsx from 'clsx';
import { makeStyles, useTheme } from '@material-ui/core/styles';
import { useConfig } from 'base-shell/lib/providers/Config';
import { useIntl } from 'react-intl';
import { useOnline } from 'base-shell/lib/providers/Online';
var useStyles = makeStyles(function (theme) {
  return {
    root: {
      width: '100%',
      display: 'flex',
      flexDirection: 'column',
      height: '100vh',
      overflow: 'hidden'
    },
    appBar: {
      zIndex: theme.zIndex.drawer,
      transition: theme.transitions.create(['width', 'margin'], {
        easing: theme.transitions.easing.sharp,
        duration: theme.transitions.duration.leavingScreen
      }),
      maxHeight: 64
    },
    appBarShift: {
      width: function width(props) {
        return "calc(100% - " + props.width + "px)";
      },
      transition: theme.transitions.create(['width', 'margin'], {
        easing: theme.transitions.easing.sharp,
        duration: theme.transitions.duration.enteringScreen
      })
    },
    menuButton: {
      marginLeft: -12
    },
    hide: {
      display: 'none'
    },
    toolbar: _extends({
      alignItems: 'center',
      justifyContent: 'flex-end'
    }, theme.mixins.toolbar),
    offlineIndicator: {
      position: 'absolute',
      display: 'flex',
      alignItems: 'center',
      backgroundColor: theme.palette.secondary.main,
      justifyContent: 'center',
      right: 0,
      left: 0,
      height: function height(props) {
        return props.offlineIndicatorHeight;
      }
    },
    content: {
      flex: 1,
      overflow: 'auto'
    },
    grow: {
      flex: '1 1 auto'
    }
  };
});
export default function (_ref) {
  var children = _ref.children,
      pageTitle = _ref.pageTitle,
      onBackClick = _ref.onBackClick,
      isLoading = _ref.isLoading,
      _ref$appBarContent = _ref.appBarContent,
      appBarContent = _ref$appBarContent === void 0 ? null : _ref$appBarContent,
      contentStyle = _ref.contentStyle,
      _ref$tabs = _ref.tabs,
      tabs = _ref$tabs === void 0 ? null : _ref$tabs;
  var isOnline = useOnline();
  var theme = useTheme();

  var _useConfig = useConfig(),
      appConfig = _useConfig.appConfig;

  var _ref2 = appConfig || {},
      menu = _ref2.menu;

  var _ref3 = menu || {},
      _ref3$width = _ref3.width,
      width = _ref3$width === void 0 ? 240 : _ref3$width,
      _ref3$offlineIndicato = _ref3.offlineIndicatorHeight,
      offlineIndicatorHeight = _ref3$offlineIndicato === void 0 ? 12 : _ref3$offlineIndicato;

  var _useContext = useContext(MenuContext),
      isDesktop = _useContext.isDesktop,
      isDesktopOpen = _useContext.isDesktopOpen,
      setDesktopOpen = _useContext.setDesktopOpen,
      isMobileOpen = _useContext.isMobileOpen,
      setMobileOpen = _useContext.setMobileOpen,
      setMini = _useContext.setMini;

  var intl = useIntl();
  var headerTitle = '';

  if (typeof pageTitle === 'string' || pageTitle instanceof String) {
    headerTitle = pageTitle;
  }

  var classes = useStyles({
    width,
    offlineIndicatorHeight
  });

  var handleDrawerMenuClick = function handleDrawerMenuClick() {
    if (!isDesktopOpen) {
      setMini(false);
      setDesktopOpen(true);

      if (!isDesktop) {
        setMobileOpen(!isMobileOpen);
      }
    } else {
      setMobileOpen(!isMobileOpen);
    }
  };

  return /*#__PURE__*/React.createElement("div", {
    className: classes.root
  }, /*#__PURE__*/React.createElement(AppBar, {
    position: isDesktop ? 'absolute' : undefined,
    className: isDesktop ? clsx(classes.appBar, isDesktopOpen && classes.appBarShift) : classes.appBar
  }, /*#__PURE__*/React.createElement(Toolbar, null, /*#__PURE__*/React.createElement(IconButton, {
    color: "inherit",
    "aria-label": "open drawer",
    onClick: handleDrawerMenuClick,
    edge: "start",
    className: clsx(classes.menuButton, isDesktopOpen && isDesktop && classes.hide, onBackClick && classes.hide)
  }, /*#__PURE__*/React.createElement(MenuIcon, null)), /*#__PURE__*/React.createElement(IconButton, {
    color: "inherit",
    "aria-label": "open drawer",
    onClick: onBackClick,
    className: clsx(classes.menuButton, !onBackClick && classes.hide)
  }, /*#__PURE__*/React.createElement(ChevronLeft, null)), !onBackClick && isDesktopOpen && false && /*#__PURE__*/React.createElement("div", {
    style: {
      marginRight: 32
    }
  }), /*#__PURE__*/React.createElement(Typography, {
    variant: "h6",
    color: "inherit",
    noWrap: true
  }, headerTitle), /*#__PURE__*/React.createElement("div", {
    className: classes.grow
  }), appBarContent)), /*#__PURE__*/React.createElement("div", {
    className: classes.toolbar
  }), isLoading && /*#__PURE__*/React.createElement(LinearProgress, null), !isOnline && /*#__PURE__*/React.createElement("div", {
    style: {
      display: 'flex',
      justifyContent: 'center',
      width: '100%',
      height: 15,
      backgroundColor: theme.palette.secondary.main
    }
  }, /*#__PURE__*/React.createElement(Typography, {
    variant: "caption",
    color: "textSecondary",
    noWrap: true
  }, intl.formatMessage({
    id: 'offline',
    defaultMessage: 'Offline'
  }))), tabs, /*#__PURE__*/React.createElement("div", {
    className: classes.content,
    style: contentStyle
  }, children));
}