import Button from '@material-ui/core/Button';
import Home from '@material-ui/icons/Home';
import Page from '../../containers/Page';
import Paper from '@material-ui/core/Paper';
import React from 'react';
import Typography from '@material-ui/core/Typography';
import { makeStyles } from '@material-ui/core/styles';
import { useIntl } from 'react-intl';
var useStyles = makeStyles(function (theme) {
  return {
    icon: {
      width: 192,
      height: 192,
      color: theme.palette.secondary.main
    },
    container: {
      display: 'flex',
      flexDirection: 'column',
      alignItems: 'center',
      justifyContent: 'center',
      height: "100%"
    },
    paper: {
      backgroundColor: theme.palette.background.default,
      margin: 0,
      height: "calc(100vh - 64px)"
    },
    button: {
      marginTop: 20
    }
  };
});

var PageNotFound = function PageNotFound() {
  var intl = useIntl();
  var classes = useStyles();
  return /*#__PURE__*/React.createElement(Page, {
    pageTitle: intl.formatMessage({
      id: 'page_not_found'
    }) + ' MUI'
  }, /*#__PURE__*/React.createElement(Paper, {
    className: classes.paper
  }, /*#__PURE__*/React.createElement("div", {
    className: classes.container
  }, /*#__PURE__*/React.createElement(Typography, {
    variant: "h4"
  }, "404"), /*#__PURE__*/React.createElement(Typography, {
    variant: "subtitle1"
  }, intl.formatMessage({
    id: 'page_not_found'
  }) + ' MUI'), /*#__PURE__*/React.createElement(Button, {
    color: "secondary",
    "aria-label": "home",
    href: "/",
    className: classes.button
  }, /*#__PURE__*/React.createElement(Home, null)))));
};

export default PageNotFound;