"use strict";

exports.__esModule = true;
exports.default = UpdateDialog;

var _react = _interopRequireDefault(require("react"));

var _Button = _interopRequireDefault(require("@material-ui/core/Button"));

var _Dialog = _interopRequireDefault(require("@material-ui/core/Dialog"));

var _DialogActions = _interopRequireDefault(require("@material-ui/core/DialogActions"));

var _DialogContent = _interopRequireDefault(require("@material-ui/core/DialogContent"));

var _DialogContentText = _interopRequireDefault(require("@material-ui/core/DialogContentText"));

var _DialogTitle = _interopRequireDefault(require("@material-ui/core/DialogTitle"));

var _useMediaQuery = _interopRequireDefault(require("@material-ui/core/useMediaQuery"));

var _styles = require("@material-ui/core/styles");

var _reactIntl = require("react-intl");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function UpdateDialog(_ref) {
  var isUpdateAvailable = _ref.isUpdateAvailable,
      runUpdate = _ref.runUpdate;

  var _React$useState = _react.default.useState(undefined),
      open = _React$useState[0],
      setOpen = _React$useState[1];

  var intl = (0, _reactIntl.useIntl)();
  var theme = (0, _styles.useTheme)();
  var fullScreen = (0, _useMediaQuery.default)(theme.breakpoints.down('sm'));

  var handleClickOpen = function handleClickOpen() {
    setOpen(true);
  };

  var handleClose = function handleClose() {
    setOpen(false);
  };

  var handleUpdate = function handleUpdate() {
    handleClose();
    runUpdate();
  };

  return /*#__PURE__*/_react.default.createElement(_Dialog.default, {
    fullScreen: fullScreen,
    open: isUpdateAvailable && open === undefined,
    onClose: handleClose,
    "aria-labelledby": "update-dialog-title"
  }, /*#__PURE__*/_react.default.createElement(_DialogTitle.default, {
    id: "update-dialog-title"
  }, intl.formatMessage({
    id: 'update_dialog_title',
    defaultMessage: 'Update available!'
  })), /*#__PURE__*/_react.default.createElement(_DialogContent.default, null, /*#__PURE__*/_react.default.createElement(_DialogContentText.default, null, intl.formatMessage({
    id: 'update_dialog_message',
    defaultMessage: 'Make sure to save all data before updating. The update could cause losing unsaved data. You can also make the update later.'
  }))), /*#__PURE__*/_react.default.createElement(_DialogActions.default, null, /*#__PURE__*/_react.default.createElement(_Button.default, {
    autoFocus: true,
    onClick: handleClose,
    color: "primary"
  }, intl.formatMessage({
    id: 'update_dialog_later',
    defaultMessage: 'Later'
  })), /*#__PURE__*/_react.default.createElement(_Button.default, {
    onClick: handleUpdate,
    color: "secondary",
    autoFocus: true
  }, intl.formatMessage({
    id: 'update_dialog_update',
    defaultMessage: 'Update'
  }))));
}

module.exports = exports.default;